Subject: RE: on NAT-PT

From: Erik Nordmark <[email-masked]>
Date: Mon, 20 Jan 2003 00:59:43 +0100 (CET)

> You would be mistaken when we consider IMS. If I have an IMS IPv6 pdp
> context, and want to communicate using IMS services with non-3g IPv4 hosts
> that are using IPv4 SIP based services, then I can't use another v4 pdp
> context. That's because IMS is only ipv6. So a translator + sip alg would be
> useful.

Karim,

I thought 3GPP IMS and the IETF SIP specification are designed
not to interoperate. Thus you'd need some SIP level proxy in any case.
As long as you place the proxy on a dual-stack node you don't need
any NAT-PT functionality.

It seems like the only claimed strong case for NAT-PT in this email
tread is 3GPP IMS, thus I think we need to understand this case a
lot better.

  Erik